#!/bin/bash
# http://www.vamp-plugins.org/
#
# svn co https://vamp.svn.sourceforge.net/svnroot/vamp/vamp-libxtract-plugins/
# svn co https://libxtract.svn.sourceforge.net/svnroot/libxtract/trunk
#
# script: til <rob DOT til DOT freedman AT googlemail DOT com>
#
set +x -e -u
#
NAME=vamp-libxtract-plugins
VERSION=0.4.5.20081202
BUILD=${BUILD:-54.1}
ARCH=${ARCH:-i486}
CPU=${CPU:-i686}

PKGNAME=$NAME-$VERSION
PACKAGE=$PKGNAME-$ARCH-$BUILD

PKG_DEP="cxxlibs"
PKG_SRC="http://downloads.sourceforge.net/vamp/$PKGNAME.tar.gz
http://zenwalk.pinguix.com/user-accounts/tilderb/extra/vamp/build-$NAME.sh
http://zenwalk.pinguix.com/user-accounts/tilderb/extra/vamp/Makefile.xtract.patch
http://zenwalk.pinguix.com/user-accounts/tilderb/extra/vamp/libxtract-r122.tar.gz"

# call from empty/new dir to force download
for url in $PKG_SRC;do [ ! -e ${url##*/} ] && wget -N $url; done
#
# build directory
CWD=`pwd`
TMP=${TMP:-$CWD}
SRC=$TMP/$PKGNAME
PKG=$TMP/$PACKAGE

[ -d $SRC ] && rm -fr $SRC
[ -d $PKG ] && rm -fr $PKG

# prepare build directory
mkdir -p $SRC
mkdir -p $PKG/install
mkdir -p $PKG/usr/{src,doc}/$PKGNAME
mkdir -p $PKG/usr/lib/vamp
#
tar xzf $CWD/$PKGNAME.tar.gz --strip-components=1 -C $SRC
cd $SRC
# compile static lib
tar xf $CWD/libxtract-r122.tar.gz  && \
(cd libxtract-svn
 sh ./bootstrap

 CFLAGS="-O2 -march=$ARCH -mtune=$CPU -fgnu89-inline " \
 CXXFLAGS="-O2 -march=$ARCH -mtune=$CPU -fgnu89-inline " \
   ./configure \
      --prefix=/usr --disable-debug  --disable-shared --enable-fft
 make
 cp src/.libs/libxtract.a src/libxtract.la ..
 cp -r xtract ..
)
patch < $CWD/Makefile.xtract.patch && make
cp vamp-libxtract.* $PKG/usr/lib/vamp

cp COPYING README STATUS $PKG/usr/doc/$PKGNAME

find $PKG | xargs file | grep "shared object" | grep ELF | cut -s -f 1 -d : |\
   xargs -r strip --strip-unneeded 2>/dev/null

# copy build script
cp $CWD/build-$NAME.sh $PKG/usr/src/$PKGNAME

# copy slack description
#                     |-----handy-ruler------------------------------------------------------|
cat <<EOF > $PKG/install/slack-desc
vamp-libxtract-plugins: vamp-libxtract-plugins (VAMP low-level audio feature extraction)
vamp-libxtract-plugins:
vamp-libxtract-plugins: Vamp is an audio processing plugin system, typically referred to
vamp-libxtract-plugins: as audio analysis plugins or audio feature extraction plugins.
vamp-libxtract-plugins:
vamp-libxtract-plugins: A set of Vamp plugins for low-level audio feature extraction using
vamp-libxtract-plugins: Jamie Bullock's libxtract http://sourceforge.net/projects/libxtract
vamp-libxtract-plugins:
vamp-libxtract-plugins:
vamp-libxtract-plugins:
vamp-libxtract-plugins: http://www.vamp-plugins.org/
EOF

cd $PKG
fakeroot /sbin/makepkg -l y -c n $CWD/$PACKAGE.tgz

cd $CWD
#requiredbuilder -z $PKG
echo $PKG_DEP >$PACKAGE.dep
echo "$PKG_SRC" >$PACKAGE.src
md5sum $PACKAGE.tgz > $PACKAGE.md5
